Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_zonal_T.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_zonal_T.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_zonal_T.pro	(revision 2200)
@@ -0,0 +1,77 @@
+pro xxx_zonal_T, T1, T2, TLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, SUBBASIN = subbasin, MASK_FILENAME = mask_filename, _extra = ex
+  
+  compile_opt idl2, strictarrsubs
+
+   @common
+
+   if KEYWORD_SET(SUBBASIN) then subname = subbasin else subname = "Glo"
+
+
+   if KEYWORD_SET(POSTSCRIPT) then begin
+      openps, '014_Zonal_T_'+subname+'_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+   endif
+
+                                ; looking for longitudinal index corresponding to the highest latitude (closest to the North Pole)
+   index=where(gphit eq max(gphit))
+   nx=index[0] mod jpi
+   gphi_save=gphit
+   gphit[0,*]=gphit[nx,*]
+
+   if KEYWORD_SET(SUBBASIN) then begin
+ ; save tmask
+      tmasksv = tmask
+ ; 
+      CASE 1 of 
+         subbasin eq 'Atl' : var = 'atlmsk_nomed'
+         subbasin eq 'Ind' : var = 'indmsk_nored'
+         subbasin eq 'Pac' : var = 'pacmsk'
+      ENDCASE
+                                ;
+      msk = read_ncdf( var, filename = mask_filename, _extra =ex)
+
+; from 2D array to 3D array
+      msk = msk.arr[*]#replicate(1., nzt)
+      tmask[firstxt:lastxt,firstyt:lastyt,firstzt:lastzt] = tmask[firstxt:lastxt,firstyt:lastyt,firstzt:lastzt] * msk
+
+   endif
+
+varunit = T1.unit
+;
+ 
+   title=sEXP1+' '+subname+' / T year '+start_end
+   pltz, T1.arr, MININ = -2., MAXIN = 30., INTER = 1., typein = 'yz', FORMAT = '(I2)' $ 
+         , small =[ 1,2,1], COAST_THICK = 2, TITLE = title, boxzoom = 5500, ZOOM = 1000, /PORTRAIT, _extra = ex 
+; 
+if sEXP1 ne sEXP2 then begin
+
+  title = sEXP1+' - '+sEXP2+' T (°C) depth=105m / Temp year '+start_end
+  pltz, T1.arr-T2.arr, MIN = -2., MAX = 2., INTER = .2, typein = 'yz'  $
+       , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = 5500, ZOOM = 1000, /PORTRAIT, _extra=ex
+
+endif else begin
+
+   title=sEXP1+' - Levitus '+subname+'/ T year'+start_end
+   pltz, T1.arr-TLev.arr, MININ = -4., MAXIN = 4., INTER = .5, typein='yz', FORMAT = '(I2)' $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = 5500, ZOOM = 1000, /NOERASE, _extra = ex
+   
+endelse
+         
+   
+;
+   title = 'Temperature differences in zonal average ' + subname+' with Levitus and '+sEXP1+'-'+sEXP2
+   text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/014_Zonal_T_'+subname+'_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.png  />  ' ]
+   putfile, '/tmp/prova.txt', text
+
+
+   if KEYWORD_SET(POSTSCRIPT) then begin
+      closeps
+   endif
+
+   if KEYWORD_SET(SUBBASIN) then tmask = tmasksv
+   
+  
+   gphit=gphi_save
+
+
+   return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/POMME/EXP00/namelist
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/POMME/EXP00/namelist	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/POMME/EXP00/namelist	(revision 2200)
@@ -178,4 +178,5 @@
    sn_prec     = 'precip_1988.nc' ,       -1          , 'precip'   ,    .true.      , .true. ,   'yearly' , ''
    sn_snow     = 'precip_1988.nc' ,       -1          , 'precip'   ,    .true.      , .true. ,   'yearly' , ''
+   sn_tdif     = 'taudif_core'    ,       24          , 'taudif'   ,    .true.      , .true.  ,   'yearly'  ,''
 !
    cn_dir      = './'      !  root directory for the location of the bulk files
@@ -316,7 +317,7 @@
     rn_dpsin   =    1.     !     -           -         -       south   -      -
     rn_dpeob   = 1500.     !  time relaxation (days) for the east  open boundary
-    rn_dpwob   =   15.     !     -           -         -     west    -      -
+    rn_dpwob   =  150.     !     -           -         -     west    -      -
     rn_dpnob   =  150.     !     -           -         -     north   -      -
-    rn_dpsob   =   15.     !     -           -         -     south   -      -
+    rn_dpsob   =  150.     !     -           -         -     south   -      -
     rn_volemp  =  1.       !  = 0 the total volume change with the surface flux (E-P-R)
                            !  = 1 the total volume remains constant
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/DOM/daymod.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/DOM/daymod.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/DOM/daymod.F90	(revision 2200)
@@ -239,5 +239,6 @@
       ENDIF
 
-      IF( lrst_oce )   CALL day_rst( kt, 'WRITE' )
+      CALL rst_opn( kt )                                ! Open the restart file if needed and control lrst_oce
+      IF( lrst_oce )   CALL day_rst( kt, 'WRITE' )      ! write day restart information
       !
    END SUBROUTINE day
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 2200)
@@ -595,7 +595,13 @@
             vn_b (:,:) = vn_b(:,:) * hvr(:,:)
          ENDIF
+         IF( iom_varid( numror, 'sshn_b', ldstop = .FALSE. ) > 0 ) THEN
+            CALL iom_get( numror, jpdom_autoglo, 'sshn_b' , sshn_b (:,:) )   ! filtered extrenal ssh
+         ELSE
+            sshn_b(:,:)=sshb(:,:)   ! if not in restart set previous time mean to current baroclinic before value   
+         ENDIF 
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN
-         CALL iom_rstput( kt, nitrst, numrow, 'un_b'  , un_b  (:,:) )   ! external velocity issued
-         CALL iom_rstput( kt, nitrst, numrow, 'vn_b'  , vn_b  (:,:) )   ! from barotropic loop
+         CALL iom_rstput( kt, nitrst, numrow, 'un_b'   , un_b  (:,:) )   ! external velocity and ssh
+         CALL iom_rstput( kt, nitrst, numrow, 'vn_b'   , vn_b  (:,:) )   ! issued from barotropic loop
+         CALL iom_rstput( kt, nitrst, numrow, 'sshn_b' , sshn_b(:,:) )   ! 
       ENDIF
       !
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/IOM/iom_ioipsl.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/IOM/iom_ioipsl.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/IOM/iom_ioipsl.F90	(revision 2200)
@@ -81,6 +81,6 @@
          iln = INDEX( cdname, '.nc' )
          IF( ldwrt ) THEN  ! the file should be open in write mode so we create it...
-            IF( llclobber ) THEN   ;   clstatus = 'REPLACE' 
-            ELSE                   ;   clstatus = 'NEW'
+            IF( llclobber ) THEN   ;   clstatus = 'REPLACE 64' 
+            ELSE                   ;   clstatus = 'NEW 64'
             ENDIF
             IF( jpnij > 1 ) THEN
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/IOM/iom_nf90.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/IOM/iom_nf90.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/IOM/iom_nf90.F90	(revision 2200)
@@ -94,6 +94,6 @@
             IF(lwp) WRITE(numout,*) TRIM(clinfo)//' create new file: '//TRIM(cdname)//' in WRITE mode'
 
-            IF( llclobber ) THEN   ;   imode = NF90_CLOBBER 
-            ELSE                   ;   imode = NF90_NOCLOBBER 
+            IF( llclobber ) THEN   ;   imode = IOR( NF90_64BIT_OFFSET, NF90_CLOBBER   )
+            ELSE                   ;   imode = IOR( NF90_64BIT_OFFSET, NF90_NOCLOBBER ) 
             ENDIF
             CALL iom_nf90_check(NF90_CREATE( TRIM(cdname), imode, if90id, chunksize = ichunk ), clinfo)
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/LDF/ldfdyn_c1d.h90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/LDF/ldfdyn_c1d.h90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/LDF/ldfdyn_c1d.h90	(revision 2200)
@@ -28,4 +28,5 @@
 
       !! * Local variables
+      INTEGER  ::   jk   ! dummy loop indice
       REAL(wp) ::    zdam,  zwam,  zm00,  zm01,  zmhf,  zmhs
       REAL(wp) ::   zdam2, zwam2, zm200, zm201, zmh2f, zmh2s
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obc_oce.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 2200)
@@ -87,5 +87,5 @@
    INTEGER ::   nje1m2, nje0m1    !: do loop index in mpp case for jpjefm1-1,jpjed
 
-   REAL(wp), DIMENSION(jpjed:jpjef) ::   &  !:
+   REAL(wp), DIMENSION(jpj) ::   &  !:
       sshfoe,           & !: now climatology of the east boundary sea surface height
       ubtfoe,vbtfoe       !: now climatology of the east boundary barotropic transport
@@ -97,6 +97,6 @@
       !                   ! in the obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpjed:jpjef,jpj) ::   sshfoe_b      !: east boundary ssh correction averaged over the barotropic loop
-      !                                                    !  (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpi,jpj) ::   sshfoe_b      !: east boundary ssh correction averaged over the barotropic loop
+      !                                            !  (if Flather's algoritm applied at open boundary)
 
    !!-------------------------------
@@ -124,5 +124,5 @@
    INTEGER ::   njw1m2, njw0m1     !: do loop index in mpp case for jpjwfm2,jpjwd
 
-   REAL(wp), DIMENSION(jpjwd:jpjwf) ::   &  !:
+   REAL(wp), DIMENSION(jpj) ::   &  !:
       sshfow,           & !: now climatology of the west boundary sea surface height
       ubtfow,vbtfow       !: now climatology of the west boundary barotropic transport
@@ -134,6 +134,6 @@
       !                   !  in the obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpjwd:jpjwf,jpj) ::   sshfow_b    !: west boundary ssh correction averaged over the barotropic loop
-      !                                                  !  (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpi,jpj) ::   sshfow_b    !: west boundary ssh correction averaged over the barotropic loop
+      !                                          !  (if Flather's algoritm applied at open boundary)
 
    !!-------------------------------
@@ -162,5 +162,5 @@
    INTEGER ::   njn0m1, njn1m1     !: do loop index in mpp case for jpnob-1
 
-   REAL(wp), DIMENSION(jpind:jpinf) ::   &  !:
+   REAL(wp), DIMENSION(jpi) ::   &  !:
       sshfon,           & !: now climatology of the north boundary sea surface height
       ubtfon,vbtfon       !: now climatology of the north boundary barotropic transport
@@ -172,6 +172,6 @@
       !                   !  in yhe obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpind:jpinf,jpj) ::   sshfon_b      !: north boundary ssh correction averaged over the barotropic loop
-      !                                                    !  (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpi,jpj) ::   sshfon_b      !: north boundary ssh correction averaged over the barotropic loop
+      !                                            !  (if Flather's algoritm applied at open boundary)
 
    !!--------------------------------
@@ -199,5 +199,5 @@
    INTEGER ::   njs0p1, njs1p1     !: do loop index in mpp case for jpsob+1
 
-   REAL(wp), DIMENSION(jpisd:jpisf) ::    &   !:
+   REAL(wp), DIMENSION(jpi) ::    &   !:
       sshfos,           & !: now climatology of the south boundary sea surface height
       ubtfos,vbtfos       !: now climatology of the south boundary barotropic transport
@@ -209,6 +209,6 @@
       !                   !  in the obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpisd:jpisf,jpj) ::   sshfos_b     !: south boundary ssh correction averaged over the barotropic loop
-      !                                                   !  (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpi,jpj) ::   sshfos_b     !: south boundary ssh correction averaged over the barotropic loop
+      !                                           !  (if Flather's algoritm applied at open boundary)
 
    !!--------------------------------
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcdta.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2200)
@@ -1,65 +1,85 @@
 MODULE obcdta
-  !!==============================================================================
-  !!                            ***  MODULE obcdta  ***
-  !! Open boundary data : read the data for the open boundaries.
-  !!==============================================================================
+   !!==============================================================================
+   !!                            ***  MODULE obcdta  ***
+   !! Open boundary data : read the data for the open boundaries.
+   !!==============================================================================
 #if defined key_obc
-  !!------------------------------------------------------------------------------
-  !!   'key_obc'         :                                Open Boundary Conditions
-  !!------------------------------------------------------------------------------
-  !!   obc_dta           : read u, v, t, s data along each open boundary
-  !!------------------------------------------------------------------------------
-  !! * Modules used
-  USE oce             ! ocean dynamics and tracers 
-  USE dom_oce         ! ocean space and time domain
-  USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-  USE phycst          ! physical constants
-  USE obc_oce         ! ocean open boundary conditions
-  USE in_out_manager  ! I/O logical units
-  USE lib_mpp         ! distributed memory computing
-  USE dynspg_oce
-  USE ioipsl          ! now only for  ymds2ju function 
-  USE iom             ! 
-
-  IMPLICIT NONE
-  PRIVATE
-
-  !! * Accessibility
-  PUBLIC obc_dta      ! routines called by step.F90
-  PUBLIC obc_dta_bt   ! routines called by dynspg_ts.F90
-
-  !! * Shared module variables
-  REAL(wp),  DIMENSION(2)              ::  zjcnes_obc   ! 
-  REAL(wp),  DIMENSION(:), ALLOCATABLE :: ztcobc
-  REAL(wp) :: rdt_obc
-  REAL(wp) :: zjcnes
-  INTEGER :: imm0, iyy0, idd0, iyy, imm, idd
-  INTEGER :: nt_a=2, nt_b=1, itobc, ndate0_cnes, nday_year0
-  INTEGER ::  itobce, itobcw, itobcs, itobcn, itobc_b  ! number of time steps in OBC files
-
-  INTEGER ::   &
-       ntobc      , &     !:  where we are in the obc file
-       ntobc_b    , &     !:  first record used
-       ntobc_a            !:  second record used
-
-  CHARACTER (len=40) :: &    ! name of data files
-       cl_obc_eTS   , cl_obc_eU,  &
-       cl_obc_wTS   , cl_obc_wU,  &
-       cl_obc_nTS   , cl_obc_nV,  &
-       cl_obc_sTS   , cl_obc_sV
-
-  ! arrays used for interpolating time dependent data on the boundaries
-  REAL(wp), DIMENSION(jpj,jpk,jptobc) :: uedta, vedta, tedta, sedta    ! East
-  REAL(wp), DIMENSION(jpj,jpk,jptobc) :: uwdta, vwdta, twdta, swdta    ! West
-  REAL(wp), DIMENSION(jpi,jpk,jptobc) :: undta, vndta, tndta, sndta    ! North
-  REAL(wp), DIMENSION(jpi,jpk,jptobc) :: usdta, vsdta, tsdta, ssdta    ! South
-
-  LOGICAL, DIMENSION (jpj,jpk ) :: ltemsk=.TRUE., luemsk=.TRUE., lvemsk=.TRUE.  ! boolean msks
-  LOGICAL, DIMENSION (jpj,jpk ) :: ltwmsk=.TRUE., luwmsk=.TRUE., lvwmsk=.TRUE.  ! used for outliers
-  LOGICAL, DIMENSION (jpi,jpk ) :: ltnmsk=.TRUE., lunmsk=.TRUE., lvnmsk=.TRUE.  ! checks
-  LOGICAL, DIMENSION (jpi,jpk ) :: ltsmsk=.TRUE., lusmsk=.TRUE., lvsmsk=.TRUE.
-
-  !! * Substitutions
+   !!------------------------------------------------------------------------------
+   !!   'key_obc'         :                                Open Boundary Conditions
+   !!------------------------------------------------------------------------------
+   !!   obc_dta           : read u, v, t, s data along each open boundary
+   !!------------------------------------------------------------------------------
+   !! * Modules used
+   USE oce             ! ocean dynamics and tracers 
+   USE dom_oce         ! ocean space and time domain
+   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE phycst          ! physical constants
+   USE obc_par         ! ocean open boundary conditions
+   USE obc_oce         ! ocean open boundary conditions
+   USE in_out_manager  ! I/O logical units
+   USE lib_mpp         ! distributed memory computing
+   USE dynspg_oce
+   USE ioipsl          ! now only for  ymds2ju function 
+   USE iom             ! 
+
+   IMPLICIT NONE
+   PRIVATE
+
+   !! * Accessibility
+   PUBLIC obc_dta      ! routines called by step.F90
+   PUBLIC obc_dta_bt   ! routines called by dynspg_ts.F90
+
+   !! * Shared module variables
+   REAL(wp),  DIMENSION(2)              ::  zjcnes_obc   ! 
+   REAL(wp),  DIMENSION(:), ALLOCATABLE :: ztcobc
+   REAL(wp) :: rdt_obc
+   REAL(wp) :: zjcnes
+   INTEGER :: imm0, iyy0, idd0, iyy, imm, idd
+   INTEGER :: nt_a=2, nt_b=1, itobc, ndate0_cnes, nday_year0
+   INTEGER ::  itobce, itobcw, itobcs, itobcn, itobc_b  ! number of time steps in OBC files
+
+   INTEGER ::   &
+      ntobc      , &     !:  where we are in the obc file
+      ntobc_b    , &     !:  first record used
+      ntobc_a            !:  second record used
+
+   CHARACTER (len=40) :: &    ! name of data files
+      cl_obc_eTS   , cl_obc_eU,  &
+      cl_obc_wTS   , cl_obc_wU,  &
+      cl_obc_nTS   , cl_obc_nV,  &
+      cl_obc_sTS   , cl_obc_sV
+
+# if defined key_dynspg_ts
+   ! bt arrays for interpolating time dependent data on the boundaries
+   INTEGER :: nt_m=0, ntobc_m
+   REAL(wp), DIMENSION(jpj,0:jptobc) :: ubtedta, vbtedta, sshedta  ! East
+   REAL(wp), DIMENSION(jpj,0:jptobc) :: ubtwdta, vbtwdta, sshwdta	! West
+   REAL(wp), DIMENSION(jpi,0:jptobc) :: ubtndta, vbtndta, sshndta	! North
+   REAL(wp), DIMENSION(jpi,0:jptobc) :: ubtsdta, vbtsdta, sshsdta	! South
+   ! arrays used for interpolating time dependent data on the boundaries
+   REAL(wp), DIMENSION(jpj,jpk,0:jptobc) :: uedta, vedta, tedta, sedta    ! East
+   REAL(wp), DIMENSION(jpj,jpk,0:jptobc) :: uwdta, vwdta, twdta, swdta    ! West
+   REAL(wp), DIMENSION(jpi,jpk,0:jptobc) :: undta, vndta, tndta, sndta    ! North
+   REAL(wp), DIMENSION(jpi,jpk,0:jptobc) :: usdta, vsdta, tsdta, ssdta    ! South
+# else
+   ! bt arrays for interpolating time dependent data on the boundaries
+   REAL(wp), DIMENSION(jpj,jptobc) :: ubtedta, vbtedta, sshedta  ! East
+   REAL(wp), DIMENSION(jpj,jptobc) :: ubtwdta, vbtwdta, sshwdta        ! West
+   REAL(wp), DIMENSION(jpi,jptobc) :: ubtndta, vbtndta, sshndta        ! North
+   REAL(wp), DIMENSION(jpi,jptobc) :: ubtsdta, vbtsdta, sshsdta        ! South
+   ! arrays used for interpolating time dependent data on the boundaries
+   REAL(wp), DIMENSION(jpj,jpk,jptobc) :: uedta, vedta, tedta, sedta    ! East
+   REAL(wp), DIMENSION(jpj,jpk,jptobc) :: uwdta, vwdta, twdta, swdta    ! West
+   REAL(wp), DIMENSION(jpi,jpk,jptobc) :: undta, vndta, tndta, sndta    ! North
+   REAL(wp), DIMENSION(jpi,jpk,jptobc) :: usdta, vsdta, tsdta, ssdta    ! South
+# endif
+   LOGICAL, DIMENSION (jpj,jpk ) :: ltemsk=.TRUE., luemsk=.TRUE., lvemsk=.TRUE.  ! boolean msks
+   LOGICAL, DIMENSION (jpj,jpk ) :: ltwmsk=.TRUE., luwmsk=.TRUE., lvwmsk=.TRUE.  ! used for outliers
+   LOGICAL, DIMENSION (jpi,jpk ) :: ltnmsk=.TRUE., lunmsk=.TRUE., lvnmsk=.TRUE.  ! checks
+   LOGICAL, DIMENSION (jpi,jpk ) :: ltsmsk=.TRUE., lusmsk=.TRUE., lvsmsk=.TRUE.
+
+   !! * Substitutions
 #  include "obc_vectopt_loop_substitute.h90"
+#  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006)
